Create workspace
POST /api/v1/workspaces
POST
/api/v1/workspaces
Creates a new workspace.
Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
name
required
string
auto_join
required
Whether new users in the organization are automatically added to this workspace.
boolean
Example
trueResponses
Section titled “ Responses ”Successful
object
id
required
integer
Example
12345 name
required
string
Example
Default workspace auto_join
required
boolean
Example
true created_at
required
string format: date-time
Example
2023-08-23T10:30:00.000ZUnauthorized
object
message
required
string
Example
Record not foundForbidden
object
message
required
string
Example
Record not foundUnprocessable Entity
object
message
required
string
Example
Failed to save errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}